This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 155259 - [LSI Logic] Feature RHEL: Add mpt fusion SAS support, and new PCI IDs
[LSI Logic] Feature RHEL: Add mpt fusion SAS support, and new PCI IDs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
: FutureFeature
Depends On:
Blocks: 156321 166323
  Show dependency treegraph
 
Reported: 2005-04-18 12:58 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:57:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2005-04-18 12:58:50 EDT
Escalated to Bugzilla from IssueTracker
Comment 6 Tom Coughlan 2005-04-19 11:09:32 EDT
There are two parts to this request. First, we will need a new driver for RHEL 3
that supports this hardware. Then, Bill Nottingham will need to update the
pcitable with the new IDs. 

I am adding this to the U6 list. Make sure they submit the driver to us in time.
Comment 8 Tom Coughlan 2005-04-19 18:32:10 EDT
This BZ says the request is for RHEL 3. 

Is it for 3 or 4 or both?

In either case I do not see support for these PCI IDs in the mpt fusion driver
we ship.  Why do they think they are in the RHEL 4 driver? (We ship
MPT_LINUX_VERSION_COMMON "3.01.16" in RHEL 4). 

The upstream 2.6 mpt fusion driver is undergoing a major overhaul. This is not
needed or appropriate for RHEL 4. What we need from LSI Logic for RHEL 4 are a
set of small, very low risk patches that add exactly the functionality and fixes
needed by customers and no more. 

Comment 19 Marty Wesley 2005-05-26 02:37:26 EDT
PM ACK for U6
Comment 25 Larry Troan 2005-06-05 13:03:11 EDT
My note to Tom Coughlan clarifying HP's requirements for the new MPTFusion driver.

Tom,

HP requires the new MPTFusion driver in both RHEL3 and RHEL4.

DETAILS:
I checked with them Friday afternoon after our conversation and they do
REQUIRE this driver for both RHEL4 and RHEL3. There was a specific
question to HP-IPF regarding support for their new RuSA system which
ONLY requires RHEL4 support. However, there are several other pieces of
hardware being shipped by HP that require support in RHEL3 as well.
Sorry for the confusion.

As you had pointed out, the new MPTFusion driver is 15K of new code for
both RHEL3 and RHEL4, which HP as agreed to do the bulk of the
regression testing. The 15K contains support for many functions. You
plan to update the LSI MPTFusion driver to 3.02.18 which should cover
both the 3040X and mptscsih.c. You received a SAS 3800X board from
LSI/HP which you believe is the associated new hardware.

You've also asked the various Partner Managers to have the IHVs let us
know if the above assumptions are correct. Because the comments in the
driver are not always clear as to exactly what is supported as well as
referring to different names than some of our partners, if anything is
missing we need to know what and when we'll get the additional hardware
and code which will likely miss U2/U6...

I will take this to Marty on Monday to insure it receives proper
attention for RHEL3U6 as well as RHEL3U2.

Larry
Comment 31 Ernie Petrides 2005-07-13 19:19:57 EDT
The mptfusion driver update (to 2.06.16i.01) has just been committed to the
RHEL3 U6 patch pool this evening (in kernel version 2.4.21-32.11.EL).
Comment 45 Ernie Petrides 2005-08-23 13:15:55 EDT
The RHEL3 U6 hwdata bug is 166323, and that has now been substituted in
the RHBA-2005:647 bug list in place of this one.
Comment 49 Red Hat Bugzilla 2005-09-28 10:57:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.